=== debian/changelog ===
gpsd (3.15-2build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 20:52:52 +0000

gpsd (3.15-2) unstable; urgency=medium

  * Uploading to unstable

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 31 Oct 2015 20:02:31 +0100

gpsd (3.15-1) experimental; urgency=medium

  * [10e7caf] Install contrib/* as examples.
    Thanks to Sanjeev Gupta (Closes: #781688)
  * [2d150e4] Merge tag 'upstream/3.15'
    Upstream version 3.15
  * [4163f08] snapshot changelog.
  * [1ea8da4] Remove libgpsd.
    Upstream links it statically now and I can't be bothered to maintain
    patches as Gentoo and others do it.
    The result is a slightly larger gpsd-clients package and running
    the binaries in parallel will waste memory.
    Thanks to Paul Wise & Andreas Beckmann (Closes: #779286, #781567)
  * [bb7a556] scons distclean doesn't work anymore.
    use --clean + sconsclean.
  * [31ff968] Refreshing patches
  * [5861e60] Fix broken static linking of test_gpsmm
  * [ef84468] Install new files.
  * [f9e250c] Add patch to fix regression tests for leap second bump
  * [65b8ac6] Updating symbols file.
  * [7e3d4a4] Update libqgpsmm symbols.
  * [785e932] _STRUCT_TIMESPEC is not defined in time.h anymore.
    Only linux/time.h defines _STRUCT_TIMESPEC.
    Check for __timespec_defined additionally.
  * [0b56700] Fix struct member names in timspec.
  * [e723fdd] Use system clock_gettime again.
    Fix some more broken header checks in SConstruct.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 31 Oct 2015 20:02:07 +0100

gpsd (3.12-1) experimental; urgency=medium

  * [9f0dfbda] Merge tag 'upstream/3.12'
    Upstream version 3.12
  * [0896c861] Refresh/update patches.
  * [9daccea4] Fix test_ debug tool list.
  * [85f4f0bb] Add patch to fix test_gpsmm.
  * [9c511016] Add some new symbols to the symbols file.
  * [30cf1b92] Add dh-python as build dependency.
  * [24c325f9] Bump library sonames in package names.
  * [a810ac32] Update libqgpsmm symbols file
  * [1bf373c6] Fix some lintian errors.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 23 Feb 2015 22:37:42 +0100
