## gpsd 3.16

=== debian/changelog ===
gpsd (3.16-4) unstable; urgency=medium

  * [2405f456] Fix debug symbol handling.
    Debug symbols went missing when upstream switched the strip
    option name.
    Thanks to Andre Naujoks (Closes: #842792)
  * [74c3cd07] Updating debian/control from debian/control.in
  * [b66410da] hadle debian/control creation a bit better
  * [06a9623f] Use gz compression for now.
  * [44376877] Remove obsolete build dependency on hardening-includes.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 04 Nov 2016 23:35:14 +0100

gpsd (3.16-3) unstable; urgency=medium

  * [aa43cc65] Various patches were applied upstream.
    Take them from there, removing our version.
  * [1444f940] Build with -std=gnu++98. (Closes: #830993)
  * [505d032a] Remove netbase/systemd-sysv dependency.
    Not needed anymore. (Closes: #768100)
  * [b53473f0] Migrate to github.
  * [cb624dcb] Add travis.yml build stuff.
  * [1c3c3463] Updating gbp.conf to ignore travis.yml for debuild.
  * [d870a5c6] Don't rebuild for the static library.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 24 Sep 2016 14:34:07 +0200

gpsd (3.16-2) unstable; urgency=medium

  * [5001c11a] Do not start gpsd.service by default.
    We use socket based activation only.
    If one needs a running gpsd.service at boot - without being started by
    gpsd.socket - you'll have to configure systemd to start it.
    Too many people have gpsd installed as dependency and do not need yet
    another running process.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 15 May 2016 15:35:20 +0200

gpsd (3.16-1) unstable; urgency=medium

  * [c3d16637] Merge tag 'upstream/3.16'
    Upstream version 3.16
  * [29863f7a] Snapshot changelog.
  * [e61a749f] refreshing patches.
  * [ddc25e61] Pick some patches from upstream.
    - Fix test_gpsmm building
    - Fix FTBFS on hurd (Closes: #821804)
  * [67d9aca8] Fix check for clock_gettime.
  * [67b39606] Update git-buildpackage config.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 30 Apr 2016 20:07:13 +0200
