=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 8.1.3~),
+Build-Depends: debhelper (>= 8.1.3~), po-debconf,
  python-all-dev (>= 2.6.6-3),
  python-all-dbg (>= 2.6.6-3),
  xsltproc, docbook-xsl, docbook-xml,
@@ -16,8 +16,7 @@
  scons (>= 2.0.1), chrpath,
  dh-buildinfo,
  pps-tools (>= 0.20120406+g0deb9c7e-2~) [linux-any],
- dh-systemd (>= 1.3),
- dh-python
+ dh-systemd (>= 1.3)
 Standards-Version: 3.9.2
 Homepage: http://www.catb.org/gpsd/
 Vcs-Browser: http://git.recluse.de/?p=debian/pkg-gpsd.git
@@ -49,6 +48,7 @@
 Architecture: any
 Section: debug
 Priority: extra
+Suggests: gpsd-dbgsym
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  libgps22 (= ${binary:Version}) | gpsd (= ${binary:Version}) | gpsd-clients (= ${binary:Version}) | python-gps (= ${binary:Version})
 Description: Global Positioning System - debugging symbols
@@ -56,14 +56,15 @@
  a host computer, making all data on the location and movements of the
  sensors available to be queried on TCP port 2947.
  .
- This package contains the detached debug symbols for gpsd, gpsd-clients,
- python-gps, and libgps22.
+ This package contains the python debug modules and some test tools
+ to the debug the behaviour of gpsd. Debug symbols are being shipped
+ in the dbgsym package.
 
 Package: gpsd-clients
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libgps22 (= ${binary:Version}),
- python-gps, python-gtk2, python-cairo, ${python:Depends}, python
+ python-gps, python-gtk2, python-cairo, ${python:Depends}
 Suggests: gpsd
 Conflicts: gps
 Breaks: ${python:Breaks}
@@ -118,8 +119,7 @@
 Architecture: any
 Section: libdevel
 Depends: libgps22 (= ${binary:Version}), ${misc:Depends}, pkg-config
-Breaks: gpsd (<< 2.34.dfsg-1)
-Replaces: gpsd (<< 2.34.dfsg-1)
+Conflicts: gpsd (<< 2.34.dfsg-1)
 Description: Global Positioning System - development files
  The gpsd service daemon can monitor one or more GPS devices connected to
  a host computer, making all data on the location and movements of the
