=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 SCONSOPTS = \
 	prefix=/usr \
 	systemd=yes \
-	strip=no \
+	nostrip=yes \
 	dbus_export=yes \
 	docdir=/usr/share/doc/gpsd \
 	libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -51,9 +51,6 @@
 else
 	SCONSOPTS += debug=no
 endif
-
-SCONSSTATICOPTS = python=no shared=no
-
 
 #package names
 PACKAGE_GPSD := gpsd
@@ -66,9 +63,9 @@
 PACKAGE_GPSDDBG := gpsd-dbg
 
 
-cflags := $(shell dpkg-buildflags --get CFLAGS)
+cflags := $(shell dpkg-buildflags --get CFLAGS) -std=gnu++98
 cppflags := $(shell dpkg-buildflags --get CPPFLAGS)
-cxxflags := $(shell dpkg-buildflags --get CXXFLAGS)
+cxxflags := $(shell dpkg-buildflags --get CXXFLAGS) -std=gnu++98
 ldflags := $(shell dpkg-buildflags --get LDFLAGS)
 
 SCONS_ENV := set -e ;\
@@ -85,16 +82,12 @@
 	done
 
 debian/control: debian/control.in
-	if grep -q "Package: libgps$(LIBGPS_SONAME)" debian/control; then \
-		touch debian/control ;\
-	else \
-		rm -f $@ ;\
-		sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g' $< > $@ ;\
+		rm -f $@ 
+		sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g' $< > $@ 
 		if [ -d .git ]; then \
 			git add debian/control ;\
 			git commit -m 'Updating debian/control from debian/control.in' debian/control ;\
 		fi ;\
-	fi
 
 SConstruct.deb_revision: SConstruct
 	if [ ! -f $@ ]; then \
@@ -125,16 +118,7 @@
 	touch $@
 
 build-static-stamp: SConstruct.deb_revision
-	mkdir static_lib
-	find . \
-	    -mindepth 1 -maxdepth 1 \
-	    -name static_lib \
-	    -prune \
-	    -o -name debian -prune \
-	    -o -exec cp -pr {} static_lib \;
-	$(SCONS_ENV) scons -C static_lib $(SCONSOPTS) --clean ;\
-	$(SCONS_ENV) scons -C static_lib $(SCONSOPTS) sconsclean || true ;\
-	$(SCONS_ENV) scons -C static_lib $(SCONSOPTS) $(SCONSSTATICOPTS) libgps.a
+	cp libgps_static.a libgps.a
 	touch $@
 
 clean: debian/control
@@ -158,9 +142,9 @@
 	    TROUBLESHOOTING \
 	    debian/buildinfo.gz \
 	    config.log \
-	    static_lib \
 	    debian/shlibs.local \
 	    leapsecond.pyc \
+	    libgps.a \
 	    $(LIBGPS_DEBIAN_FILE_TARGETS)
 	dh_clean
 
@@ -175,7 +159,7 @@
 	    	$(SCONS_ENV) DESTDIR=`pwd`/debian/tmp python$${py}-dbg /usr/bin/scons install $(SCONSOPTS) ;\
 	    done
 	# install static lib
-	cp static_lib/libgps.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	cp libgps.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	cp INSTALL TROUBLESHOOTING
 	# install systemd files
 	mkdir -p debian/tmp/lib/systemd/system
@@ -220,7 +204,7 @@
 	cp $(CURDIR)/gpsd.rules $(CURDIR)/debian/gpsd.udev
 	dh_installudev 
 	dh_link 
-	dh_strip  --dbg-package=$(PACKAGE_GPSDDBG)
+	dh_strip --dbgsym-migration='gpsd-dbg (<< 3.16-4~)'
 	dh_buildinfo -p$(PACKAGE_GPSDDBG)
 	dh_compress 
 	dh_fixperms  -Xgpsd.hotplug
