=== debian/watch ===
version=3

http://download-mirror.savannah.gnu.org/releases/gpsd/gpsd-(.*).tar.gz
